=== debian/changelog ===
ros-kinetic-robot-controllers-interface (0.5.2-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.5.1-0xenial) xenial; urgency=high

  * Dynamically load controllers (#23 <https://github.com/fetchrobotics/robot_controllers/issues/23>)
    * When requested controller not in default list, check parameter server for controller
    * Controller loader catches pluginlib exception when trying to load bad controller
  * Return controller states even if update fails
  * Contributors: Michael Ferguson, Sarah Elliott

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.5.0-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 21 Feb 2016 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.3-0xenial) xenial; urgency=high

  * add mainpage to doxygen
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Dec 2015 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.2-0xenial) xenial; urgency=high

  * add -Wall to interface package
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 22 Oct 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.1-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.4.0-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 May 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.4-0xenial) xenial; urgency=high

  * add ability to reset controllers
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 22 May 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.3-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 03 May 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.2-0xenial) xenial; urgency=high

  * install scripts
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 09 Apr 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.1-0xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 28 Mar 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.3.0-0xenial) xenial; urgency=high

  * improve windup support
  * fix potential build issue
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.4-0xenial) xenial; urgency=high

  * add action server for get/set of controller state
  * make autostart actually work
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 13 Mar 2015 07:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.3-0xenial) xenial; urgency=high

  * additional logging when requestStart() fails
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2015 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.2-0xenial) xenial; urgency=high

  * install robot_controllers_interface
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 06 Jan 2015 08:00:00 -0000

ros-kinetic-robot-controllers-interface (0.1.1-0xenial) xenial; urgency=high

  * initial release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 05 Jan 2015 08:00:00 -0000
