=== debian/control ===
Source: ros-kinetic-robot-controllers-interface
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-pluginlib, ros-kinetic-robot-controllers-msgs, ros-kinetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-robot-controllers-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-pluginlib, ros-kinetic-robot-controllers-msgs, ros-kinetic-roscpp
Description: Generic framework for robot controls.
